Subject: Re: 1.7.5: cygwin programs throw STATUS_ACCESS_VIOLATION exceptions
From: Yuval Emek <[email-masked]>
To: [email-masked]
Date: Tue, 20 Apr 2010 09:19:28 +0300
List-Id: <cygwin.cygwin.com>

On Mon, Apr 19, 2010 at 20:48, Christopher Faylor wrote:
> On Mon, Apr 19, 2010 at 10:48:18AM -0400, Larry Hall (Cygwin) wrote:
>>On 4/19/2010 7:44 AM, Yuval Emek wrote:
>>> On Mon, Apr 19, 2010 at 09:32, Christopher Faylor
>>> <cgf-use-the-mailinglist-please...>  wrote:
>>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>><http://cygwin.com/acronyms/#PCYMTNQREAIYR>.  Feeding spammers just makes
>>them hungry.
>>
>><snip>
>>
>>>> p.envptr is supposed to be filled in by the call to _cygwin_crt0_common
>>>> in cygwin_attach_dll.  It is supposed to be set to the address of the
>>>> "environ" variable in the DLL.  It is not supposed to be NULL.  That
>>>> assignment should actually not even be necessary but the fact that
>>>> envptr may be NULL is a problem.  Of course, it could just be some
>>>> non-NULL garbage too.  Running in gdb and getting a stack trace would be
>>>> instructive.
>>>
>>> Can you be more specific? (I have been using cygwin for a while, but I
>>> never debugged it beforehand.)
>>> I can install gdb using setup.exe . What should I do then in order to
>>> obtain a stack trace?
>>
>>Grab a snapshot from <http://cygwin.com/snapshots/>.  You want the DLL
>>and debugging info at least.
>
> And, assuming that you can actually run gdb, just "gdb bash" and then "r".

I installed gdb and then downloaded the (latest) snapshots of
cygwin1.dll and cygwin1.dbg and extracted then to /bin/ (replacing the
previous cygwin1.dll) .
Running gdb bash seems to fail since there are no debugging symbols.
In particular, when typing r in the gdb prompt, I get the following
output:

Starting program: /usr/bin/bash
[New thread 3800.0x15b4]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New thread 3800.0x13f4]

[1]+  Stopped                 gdb bash

(Makes sense, I guess, as bash was not compiled with debugging info.)
Can I download debugging info for bash from somewhere? (As far as I
understand, I don't even have the source code for bash.)
Is there something else I can do?

>
> cgf
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple